Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2017610 - Review Request: python-git-changelog - Automatic Changelog generator using Jinja2 templates
Summary: Review Request: python-git-changelog - Automatic Changelog generator using Ji...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2021-10-27 01:22 UTC by Vanessa Christopher
Modified: 2022-01-17 13:35 UTC (History)
4 users (show)

Fixed In Version: python-git-changelog-0.4.2-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-17 13:35:04 UTC
Type: ---
Embargoed:
code: fedora-review+


Attachments (Terms of Use)
Suggested man page (deleted)
2021-11-08 15:01 UTC, Ben Beasley
no flags Details

Description Vanessa Christopher 2021-10-27 01:22:04 UTC
Spec URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog.spec
SRPM URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog-0.4.2-2.fc34.src.rpm
Description: Automatic Changelog generator using Jinja2 templates. From git logs to change logs.
Fedora Account System Username: vanessa_kris

Comment 2 Adeleye Opeyemi 2021-10-29 07:06:18 UTC
This is an unofficial review and I am looking for a sponsor.
Package looks great.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* ISC License", "Unknown or generated", "ISC
     License". 57 files have unknown license. Detailed output of
     licensecheck in /home/ope/2017610-python-git-
     changelog/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-git-changelog-0.4.2-4.fc36.noarch.rpm
          python-git-changelog-0.4.2-4.fc36.src.rpm
python3-git-changelog.noarch: W: no-manual-page-for-binary git-changelog
python-git-changelog.src: W: strange-permission python-git-changelog.spec 600
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python3-git-changelog.noarch: W: no-manual-page-for-binary git-changelog
Each executable in standard binary directories should have a man page.

python-git-changelog.src: W: strange-permission python-git-changelog.spec 600
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://github.com/pawamoy/git-changelog/archive/8aaf3e8986aacdf1ccdeccc322990eade1f5ddc9/python-git-changelog-8aaf3e8.tar.gz :
  CHECKSUM(SHA256) this package     : abdfebc35226949af5c4a38c301189acc497161ee574f4f399ad46438b9fb383
  CHECKSUM(SHA256) upstream package : abdfebc35226949af5c4a38c301189acc497161ee574f4f399ad46438b9fb383


Requires
--------
python3-git-changelog (rpmlib, GLIBC filtered):
    (python3.10dist(semver) < 3 with python3.10dist(semver) >= 2.13)
    /usr/bin/python3
    python(abi)
    python3.10dist(jinja2)



Provides
--------
python3-git-changelog:
    python-git-changelog
    python3-git-changelog
    python3.10-git-changelog
    python3.10dist(git-changelog)
    python3dist(git-changelog)



Diff spec file in url and in SRPM
---------------------------------
--- /home/ope/2017610-python-git-changelog/srpm/python-git-changelog.spec	2021-10-28 13:25:19.522722421 -0400
+++ /home/ope/2017610-python-git-changelog/srpm-unpacked/python-git-changelog.spec	2021-10-27 12:30:56.000000000 -0400
@@ -1,2 +1,11 @@
+## START: Set by rpmautospec
+## (rpmautospec version 0.2.5)
+%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
+    release_number = 4;
+    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
+    print(release_number + base_release_number - 1);
+}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
+## END: Set by rpmautospec
+
 %global         commit 8aaf3e8986aacdf1ccdeccc322990eade1f5ddc9
 %global         shortcommit %(c=%{commit}; echo ${c:0:7})
@@ -58,3 +67,13 @@
 
 %changelog
-%autochangelog
\ No newline at end of file
+* Wed Oct 27 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-4
+- Uncommitted changes
+
+* Wed Oct 27 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-3
+- README added
+
+* Wed Oct 27 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-2
+- ready for review
+
+* Tue Oct 26 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-1
+- mockbuild test


Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2017610
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: fonts, Java, Perl, Ocaml, R, C/C++, PHP, Haskell, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Vanessa Christopher 2021-11-02 18:00:58 UTC
Updated spec/srpm

Spec URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog.spec
SRPM URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog-0.4.2-5.fc36.src.rpm

changes
- Added CHANGELOG.md to package docs

Comment 4 Vanessa Christopher 2021-11-02 19:05:56 UTC
Updated spec/srpm

Spec URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog.spec
SRPM URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog-0.4.2-6.fc36.src.rpm

changes
- Added man-page to package

Comment 5 Ben Beasley 2021-11-04 01:11:45 UTC
Thanks! I haven’t forgotten about this review—I’ll get back to it soon.

Comment 6 Ben Beasley 2021-11-06 00:32:06 UTC
Sorry for keeping you waiting on this review. Before I finish the full review, I have a question: why did you choose to package from commit 8aaf3e8 rather than from the tag for version 0.4.2? Is there a particular fix you need from the commits after the 0.4.2 tag?

It’s ok to do this (preferably given a concrete reason, which it’s nice to mention in a spec file comment), but you’ll need to ensure the snapshot information field is in the Release (https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_snapshots). The easiest way to add the snapshot information is to use the “forge” macros (https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_commit_example).

----

Other things at a glance:

- I think CODE_OF_CONDUCT.md, CONTRIBUTING.md, and CREDITS.md should be installed with %doc, too.
- While patching pyproject.toml to allow Jinja2 version 3.x is correct, you should ideally file an upstream issue asking them to add official support.

----

I’ll spend a little more time on it before posting the final review, but I don’t think I’ll find anything else—I can tell you’ve packaged carefully.

Comment 7 Vanessa Christopher 2021-11-06 08:31:59 UTC
Thank you for the review @code 

I wasn't aware of the version tags that's the reason I packaged from commit 8aaf3e8 thinking it was the most stable commit :D. 
But I've had a look at the version tag in the GitHub repo and it's exactly what I would have used.

I will 
- update the source to fetch from tag for version 0.4.2
- add CODE_OF_CONDUCT.md, CONTRIBUTING.md, and CREDITS.md to the docs
- File an upstream issue asking them to add official support for Jinja2 version 3.x.

Comment 8 Ben Beasley 2021-11-06 20:47:03 UTC
Clearing my NEEDINFO since I think there’s nothing else you need from me right now.

Comment 9 Vanessa Christopher 2021-11-08 10:37:17 UTC
Hello @code, here is the updated spec/srpm. I also open an issue on the git-changelog project informing them to add support for Jinja2 version 3.x
https://github.com/pawamoy/git-changelog/issues/33

Updated spec/srpm

Spec URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog.spec
SRPM URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog-0.4.2-7.fc36.src.rpm

changes
- update the source to fetch from tag for version 0.4.2
- add CODE_OF_CONDUCT.md, CONTRIBUTING.md, and CREDITS.md to the docs

Comment 10 Ben Beasley 2021-11-08 15:00:44 UTC
Thanks!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Dist tag is present.

  OK; fedora-review does not understand rpmautospec.

- Use of gittag macro seems overcomplicated.

  Instead of

    %global         gittag 0.4.2
    Name:           python-git-changelog
    Version:        0.4.2
    Release:        %autorelease
    Summary:        Automatic Changelog generator using Jinja2 templates
    
    License:        ISC
    URL:            https://github.com/pawamoy/git-changelog
    Source0:        https://github.com/pawamoy/git-changelog/archive/%{gittag}/%{name}-%{version}.tar.gz

    […]

    %prep
    %autosetup -n git-changelog-%{gittag}

  please consider

    Name:           python-git-changelog
    Version:        0.4.2
    Release:        %autorelease
    Summary:        Automatic Changelog generator using Jinja2 templates
    
    License:        ISC
    URL:            https://github.com/pawamoy/git-changelog
    Source0:        https://github.com/pawamoy/git-changelog/archive/%{version}/%{name}-%{version}.tar.gz

    […]

    %prep
    %autosetup -n git-changelog-%{version}

  so that you don’t have to try to keep the version number updated and matching
  in two places. No change is required for approval, but I think the
  simplification makes sense.

  (You could use the “forge” macros here,
  https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_tag_example,
  but that’s arguably excessive given how easy it is to construct a GitHub tag
  archive URL.)

  If you like, you could even write the source URL as:

    URL:            https://github.com/pawamoy/git-changelog
    Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

  but writing out the whole thing is fine too.

- The man page contains text about info pages that doesn’t seem to be correct:

    .SH "SEE ALSO"
    The full documentation for
    .B git-changelog
    is maintained as a Texinfo manual.  If the
    .B info
    and
    .B git-changelog
    programs are properly installed at your site, the command
    .IP
    .B info git-changelog
    .PP
    should give you access to the complete manual.

  It looks like you started with help2man and then possibly modified the result
  by hand. That’s a fine approach for a man page, but you should know that
  help2man is optimized for other GNU projects, which almost all provide info
  pages, whereas most non-GNU projects don’t. You can keep help2man from
  generating it by passing the “--no-info” option.

  If you aren’t modifying the help2man output, it makes sense to BuildRequire:
  help2man and generate the man page during %build rather than adding it as a
  source.

  Since help2man makes some weird choices (putting “man page for BLAH” where a
  useful short description should be, putting the usage under DESCRIPTION under
  SYNOPSIS, …) I’ll manually tidy up the current man page and upload the result
  for your review.

- I should have noted this before: this package calls “git config” and “git
  log” at runtime via subprocess, so you should add a dependency:

    %package -n python3-git-changelog
    Summary:        %{summary}

    Requires:       git-core
    
    %description -n python3-git-changelog %_description

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* ISC License", "Unknown or generated", "ISC
     License". 53 files have unknown license. Detailed output of
     licensecheck in /home/reviewer/2017610-python-git-
     changelog/20211108/2017610-python-git-changelog/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/pawamoy/git-changelog/archive/0.4.2/python-git-changelog-0.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : b5875c6d8bba8453d0c3d9c3fc9424b7100a70ba81b27585d1db5cab48d49dd6
  CHECKSUM(SHA256) upstream package : b5875c6d8bba8453d0c3d9c3fc9424b7100a70ba81b27585d1db5cab48d49dd6


Requires
--------
python3-git-changelog (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.10dist(jinja2)



Provides
--------
python3-git-changelog:
    python-git-changelog
    python3-git-changelog
    python3.10-git-changelog
    python3.10dist(git-changelog)
    python3dist(git-changelog)



Diff spec file in url and in SRPM
---------------------------------
--- /home/reviewer/2017610-python-git-changelog/20211108/2017610-python-git-changelog/srpm/python-git-changelog.spec	2021-11-08 09:24:26.046314640 -0500
+++ /home/reviewer/2017610-python-git-changelog/20211108/2017610-python-git-changelog/srpm-unpacked/python-git-changelog.spec	2021-11-08 03:53:01.000000000 -0500
@@ -1,2 +1,11 @@
+## START: Set by rpmautospec
+## (rpmautospec version 0.2.5)
+%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
+    release_number = 7;
+    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
+    print(release_number + base_release_number - 1);
+}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
+## END: Set by rpmautospec
+
 %global         gittag 0.4.2
 Name:           python-git-changelog
@@ -59,3 +68,22 @@
 
 %changelog
-%autochangelog
\ No newline at end of file
+* Mon Nov 08 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-7
+- Uncommitted changes
+
+* Tue Nov 02 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-6
+- Added man-page to package
+
+* Tue Nov 02 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-5
+- Added CHANGELOG.md to package docs
+
+* Wed Oct 27 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-4
+- mockbuild on f36
+
+* Wed Oct 27 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-3
+- README added
+
+* Wed Oct 27 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-2
+- ready for review
+
+* Tue Oct 26 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-1
+- mockbuild test


Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2017610
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: Haskell, fonts, Perl, C/C++, SugarActivity, Java, R, Ocaml, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH
============================ rpmlint session starts ============================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 2

python-git-changelog.src: W: strange-permission python-git-changelog.spec 600
 2 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.5 s

Comment 11 Ben Beasley 2021-11-08 15:01:16 UTC
Created attachment 1840713 [details]
Suggested man page

Comment 12 Vanessa Christopher 2021-11-08 16:00:31 UTC
@code thank you so much for the review and the man-page. I have made updates as suggested 

Updated spec/srpm

Spec URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog.spec
SRPM URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog-0.4.2-8.fc36.src.rpm

changes
- Updated Source URL
- Added git-core to subpackage
- Updated man-page

Comment 13 Ben Beasley 2021-11-08 16:43:05 UTC
Thanks! Approved by inspection of the spec file diff:

--- 20211108/2017610-python-git-changelog/srpm-unpacked/python-git-changelog.spec	2021-11-08 03:53:01.000000000 -0500
+++ 20211108-2/2017610-python-git-changelog/srpm-unpacked/python-git-changelog.spec	2021-11-08 10:33:42.000000000 -0500
@@ -1,13 +1,12 @@
 ## START: Set by rpmautospec
 ## (rpmautospec version 0.2.5)
 %define autorelease(e:s:pb:) %{?-p:0.}%{lua:
-    release_number = 7;
+    release_number = 8;
     base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
     print(release_number + base_release_number - 1);
 }%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
 ## END: Set by rpmautospec
 
-%global         gittag 0.4.2
 Name:           python-git-changelog
 Version:        0.4.2
 Release:        %autorelease
@@ -15,7 +14,7 @@
 
 License:        ISC
 URL:            https://github.com/pawamoy/git-changelog
-Source0:        https://github.com/pawamoy/git-changelog/archive/%{gittag}/%{name}-%{version}.tar.gz
+Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
 Source1:        git-changelog.1
 
 BuildArch:      noarch
@@ -30,13 +29,14 @@
 %description %_description
 
 %package -n python3-git-changelog
+Requires:       git-core
 Summary:        %{summary}
 
 %description -n python3-git-changelog %_description
 
 
 %prep
-%autosetup -n git-changelog-%{gittag}
+%autosetup -n git-changelog-%{version}
 sed -i 's/^Jinja2.*/Jinja2 = "*"/' pyproject.toml
 
 
@@ -52,6 +52,8 @@
 install -m 0644 -p -D -t %{buildroot}%{_mandir}/man1 %{SOURCE1}
 %pyproject_install
 %pyproject_save_files git_changelog
+rm -fv %{buildroot}%{python3_sitelib}/README.md
+rm -fv %{buildroot}%{python3_sitelib}/pyproject.toml
 
 
 %check
@@ -63,13 +65,15 @@
 %license LICENSE*
 %{_bindir}/git-changelog
 %{_mandir}/man1/git-changelog.1*
-%exclude %{python3_sitelib}/README.md
-%exclude %{python3_sitelib}/pyproject.toml
+
 
 %changelog
-* Mon Nov 08 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-7
+* Mon Nov 08 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-8
 - Uncommitted changes
 
+* Mon Nov 08 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-7
+- update the source to fetch from tag for version 0.4.2
+
 * Tue Nov 02 2021 Vanessa Christopher <vanessaigwe1> 0.4.2-6
 - Added man-page to package

Comment 14 Ben Beasley 2021-11-08 16:45:29 UTC
I did find a typo in my suggested man page, which affects the formatting.

> \fB\-s {\fBangular\fR,\fBatom\fR,\fBbasic\fR}, \fB\-\-style {\fBangular\fR,\fBatom\fR,\fBbasic\fR}

ought to be

> \fB\-s\ \fR{\fBangular\fR,\fBatom\fR,\fBbasic\fR}, \fB\-\-style\ \fR{\fBangular\fR,\fBatom\fR,\fBbasic\fR}

(nonbreaking space between option and value, roman/not-bold initial curly brace), and similarly:

> \fB\-t\ \fR{\fBangular\fR,\fBkeepachangelog\fR},\ \fB\-\-template \fR{\fBangular\fR,\fBkeepachangelog\fR}

Comment 15 Vanessa Christopher 2021-11-08 19:08:54 UTC
(In reply to Ben Beasley from comment #14)
> I did find a typo in my suggested man page, which affects the formatting.
> 
> > \fB\-s {\fBangular\fR,\fBatom\fR,\fBbasic\fR}, \fB\-\-style {\fBangular\fR,\fBatom\fR,\fBbasic\fR}
> 
> ought to be
> 
> > \fB\-s\ \fR{\fBangular\fR,\fBatom\fR,\fBbasic\fR}, \fB\-\-style\ \fR{\fBangular\fR,\fBatom\fR,\fBbasic\fR}
> 
> (nonbreaking space between option and value, roman/not-bold initial curly
> brace), and similarly:
> 
> > \fB\-t\ \fR{\fBangular\fR,\fBkeepachangelog\fR},\ \fB\-\-template \fR{\fBangular\fR,\fBkeepachangelog\fR}

Hello Ben, I was wondering if 

\fB\-s\ \fR{\fBangular\fR,\fBatom\fR,\fBbasic\fR}, \fB\-\-style\ \fR{\fBangular\fR,\fBatom\fR,\fBbasic\fR}

can't be 

\fB\-s\fR {angular,atom,basic}, \fB\-\-style\fR {angular,atom,basic}

Since the "{angular,atom,basic}" bit isn't supposed to be in bold.

Please correct me if am wrong :)

Comment 16 Ben Beasley 2021-11-08 19:15:26 UTC
Sure, that’s fine!

I usually make things the user would type into the terminal bold, so I had “angular”, “atom”, and so on in bold but the curly braces (as the possible option values) and commas and curly braces (not part of the option value) plain/Roman. However, there are few firm conventions in man page formatting, and I think the simpler formatting you suggest is still quite clear.

You can always check a man page with

> man ./git-changelog.1

to see how it looks.

Comment 17 Vanessa Christopher 2021-11-08 19:41:46 UTC
(In reply to Ben Beasley from comment #16)
> Sure, that’s fine!
> 
> I usually make things the user would type into the terminal bold, so I had
> “angular”, “atom”, and so on in bold but the curly braces (as the possible
> option values) and commas and curly braces (not part of the option value)
> plain/Roman. However, there are few firm conventions in man page formatting,
> and I think the simpler formatting you suggest is still quite clear.
> 
> You can always check a man page with
> 
> > man ./git-changelog.1
> 
> to see how it looks.

Thank you Ben, I see reasons with your method and went along with it

Updated spec/srpm

Spec URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog.spec
SRPM URL: https://pagure.io/python-git-changelog/raw/master/f/python-git-changelog-0.4.2-9.fc36.src.rpm

changes
- Updated man-page

Comment 18 Ben Beasley 2021-11-08 20:10:42 UTC
Looks great to me!

I already approved the package in https://bugzilla.redhat.com/show_bug.cgi?id=2017610#c13, so you should be ready to request a repo.

Comment 19 Gwyn Ciesla 2021-11-10 14:00:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-git-changelog


Note You need to log in before you can comment on or make changes to this bug.